/*
 * timer.c
 *	fr FT736-CTCSS
 *  Created on: 12.03.2016
 *      Author: DL9MWE
 *	23.03.2016
 */
#include "main.h"

unsigned int timer_count;

// initialisiert TimerA mit SMCLK (16MHz), continuous mode, enable interrupt
void vtimer_init() {
	TACCTL0 |= CCIE;			// CCR0 interrupt enabled
	TACCR0 = timer_count;
	TACTL = TASSEL_2 + MC_2;	// SMCLK, DIV1, contmode
}

// Timer A0 interrupt service routine
#pragma vector=TIMER0_A0_VECTOR
__interrupt void Timer0_A0 (void)
{
	CCR0 += timer_count;		// add Offset to CCR0 for next interrupt
	vDAC_nextSinuswert();		// Ausgabe der nchsten Sinus-Sttzstelle
}

// Ende timer.c
