/*
 * main.h
 *
 *  Created on: 16.03.2016
 *      Author: DL9MWE
 */

#ifndef MAIN_H_
#define MAIN_H_

#include <msp430g2553.h>
#include "MCP4921_SPI.h"
#include "DAC_Sinus.h"
#include "timer.h"
#include "CTCSS.h"

#define PORTFT736_IN		P1IN
#define PORTFT736_DIR		P1DIR
#define TONESQL_S0			BIT0	// FTS-8 Pin8
#define TONESQL_S1			BIT1	// Pin7
#define TONESQL_S2			BIT2	//...
#define TONESQL_S3			BIT3
#define TONESQL_S4			BIT4
#define TONESQL_S5			BIT5

#define PORTFT736_E_TX_DIR	P2DIR
#define PORTFT736_E_TX_IN	P2IN
#define PORTFT736_E_TX_REN	P2REN
#define PORTFT736_E_TX_OUT	P2OUT
#define TONESQL_E			BIT0	//...
#define TONESQL_TX			BIT1	// Pin 9



void vCPU_init(void);
//void vdelay_ms(unsigned int msec);

#endif /* MAIN_H_ */
